Results 1 to 5 of 5

Thread: 4.5.x sarge to 5.0.x etch FOSS

  1. #1
    BullCreek is offline Junior Member
    Join Date
    Jan 2007
    Posts
    7
    Rep Power
    8

    Default 4.5.x sarge to 5.0.x etch FOSS

    We're currently using Zimbra 4.5.x FOSS on Sarge and would like to upgrade to 5.0 on Etch (as there is no 5.0 for sarge). As of 5.0.1, it appears that this is still not an option. Is there an ETA for this upgrade path or did I miss this being supported in 5.0.1? We have a separate /opt partition on the existing sarge box, which I was planning on backing off onto a new etch box, then running the upgrade.

  2. #2
    mmorse's Avatar
    mmorse is offline Moderator
    Join Date
    May 2006
    Location
    USA
    Posts
    6,242
    Rep Power
    21

    Default

    There's still a 4.5.11 planned as far as I know.
    More on it here: /products/sunset_binaries.html & here: ZCS 5.0 FOSS is Released!!!
    Quote Originally Posted by jholder View Post
    At the time, upgrading from SUSE 9 ZCS 4.5.x to SUSE 10 ZCS 5.0, from Fedora Core 4 and 5 ZCS 4.5.x to Fedora 7 ZCS 5.0, and from Debian 3.1 ZCS 4.5.x to Debian 4.0 ZCS 5.0 are not supported just yet.
    Zimbra is working on the upgrade procedure for a smooth transition from 4.5 to 5.0. If you attempt this migration, it may fail.
    But if you want to give it a shot on a devel box (with your production box backed-up & secure!) by all means go for it - maybe you'll find something for the collective knowledge
    You'll probably want to take a look at this guide as well: /blog/archives/2007/10/moving_zcs_to_another_server.html

  3. #3
    mmorse's Avatar
    mmorse is offline Moderator
    Join Date
    May 2006
    Location
    USA
    Posts
    6,242
    Rep Power
    21

    Default

    More is going to be up on MigrationFromEOL - Zimbra :: Wiki as it gets worked out for 4.5.11. Please don't edit that page right now -let the developers work- there's a discussion/talk page if the need should arise; but I doubt you'll have anything to add just yet, as the page is planned using more builds that will be available for 4.5.11 unlike the 4.5.10 case here. Just wanted to let you know that it's being worked on if you want to get an idea of what the process will be
    Last edited by mmorse; 01-23-2008 at 06:26 PM.

  4. #4
    BullCreek is offline Junior Member
    Join Date
    Jan 2007
    Posts
    7
    Rep Power
    8

    Default

    Thanks for the info! I'll give a try once 4.5.11 hits the streets (maybe before if I get time).

  5. #5
    BrianA is offline Senior Member
    Join Date
    Jan 2008
    Posts
    70
    Rep Power
    7

    Default installing on etch...

    install a base etch box

    then do

    apt-get install libltdl3 openssl libstdc++6 libxml2 libgmp3c2 fetchmail libidn11 sudo build-essential ca-certificates curl libcurl3

    then its download/extract &

    ./install.sh

    it bombs out with missing curl if you dont do the apt-get... and then you have to do an apt-get -f install and then rerunning the install bombs out anyway further down cause its saved a half baked config file.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •